radSymTest {copula} | R Documentation

## Test of Exchangeability for a Bivariate Copula

### Description

Test for assessing the radial symmetry of the underlying multivariate copula based on the empirical copula. The test statistic is a multivariate extension of the definition adopted in the first reference. An approximate p-value for the test statistic is obtained by means of a appropriate bootstrap which can take the presence of ties in the component series of the data into accont; see the second reference.

### Usage

    radSymTest(x, N = 1000, ties = NA)

### Arguments

`x` | a data matrix that will be transformed to pseudo-observations.
`N` | number of boostrap iterations to be used to simulate realizations of the test statistic under the null hypothesis.
`ties` | logical; if `TRUE`, the boostrap procedure is adapted to the presence of ties in any of the coordinate samples of `x`; the default value of `NA` indicates that the presence/absence of ties will be checked for automatically.

### Details

More details are available in the second reference.

### Value

An object of `class` `htest` which is a list, some of the components of which are

`statistic` | value of the test statistic.
`p.value` | corresponding approximate p-value.

### References

Genest, C. and G. Nešlehová, J. (2014). On tests of radial symmetry for bivariate copulas. Statistical Papers 55, 1107–1119.

Kojadinovic, I. (2017). Some copula inference procedures adapted to the presence of ties. Computational Statistics and Data Analysis 112, 24–41, http://arxiv.org/abs/1609.05519.

### See Also

`exchTest`, `exchEVTest`, `gofCopula`.

### Examples

    ## Data from radially symmetric copulas
    radSymTest(rCopula(200, frankCopula(3)))
    radSymTest(rCopula(200, normalCopula(0.7, dim = 3)))

    ## Data from non radially symmetric copulas
    radSymTest(rCopula(200, claytonCopula(3)))
    radSymTest(rCopula(200, gumbelCopula(2, dim=3)))

[Package copula version 0.999-18 Index]